@echo on

if exist C:\Windows\SysWOW64 goto win64
goto win32

cd bin\dos
call ..\..\test1.bat
if errorlevel 1 goto done
cd ..\..

cd bin\dpmi
call ..\..\test1.bat
if errorlevel 1 goto done
cd ..\..

:dpmi32
cd bin\dpmi32
call ..\..\test1.bat EXTEND
if errorlevel 1 goto done
cd ..\..

:win32
cd bin\win32
call ..\..\test1.bat EXTEND
if errorlevel 1 goto done

:win64
if not exist C:\Windows\SysWOW64 goto done
cd bin\win64
call ..\..\test1.bat EXTEND
if errorlevel 1 goto done


:done
cd ..\..
